org.apache.ignite.internal.processors.cache.persistence.tree

## Interface BPlusTree.TreeVisitorClosure<L,T extends L>

All Known Implementing Classes:
  MvccUpdateDataRow

Enclosing class:
  BPlusTree<L,T extends L>

    public static interface BPlusTree.TreeVisitorClosure<L,T extends L>

A generic visitor-style interface for performing inspection/modification operations on the tree.

### Field Summary

Fields
`static int` `CAN_WRITE`
`static int` `DIRTY`
`static int` `STOP`

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `state()`
`int` `visit(BPlusTree<L,T> tree, BPlusIO<L> io, long pageAddr, int idx, IgniteWriteAheadLogManager wal)` Performs inspection or operation on a specified row.

### Field Detail

#### STOP

    static final int STOP

See Also:
  Constant Field Values

#### CAN_WRITE

    static final int CAN_WRITE

See Also:
  Constant Field Values

#### DIRTY

    static final int DIRTY

See Also:
  Constant Field Values

### Method Detail

#### visit

    int visit(BPlusTree<L,T> tree,
              BPlusIO<L> io,
              long pageAddr,
              int idx,
              IgniteWriteAheadLogManager wal)
       throws IgniteCheckedException

Performs inspection or operation on a specified row.

Parameters:
  `tree` - The tree.
  `io` - Th tree IO object.
  `pageAddr` - The page address.
  `idx` - The item index.
Returns:
  state bitset.
Throws:
  `IgniteCheckedException` - If failed.

#### state

    int state()

Returns:
  state bitset.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023